diff --git a/src/common/cfgfiles.c b/src/common/cfgfiles.c
index a7949d3f5..9b8d9e4c7 100644
--- a/src/common/cfgfiles.c
+++ b/src/common/cfgfiles.c
@@ -827,15 +827,6 @@ load_config (void)
 
 	} else
 	{
-#ifndef WIN32
-#ifndef __EMX__
-		/* OS/2 uses UID 0 all the time */
-		if (getuid () == 0)
-			fe_message (_("* Running IRC as root is stupid! You should\n"
-							"  create a User Account and use that to login.\n"), FE_MSG_WARN|FE_MSG_WAIT);
-#endif
-#endif /* !WIN32 */
-
 		g_mkdir (prefs.hex_dcc_dir, 0700);
 		g_mkdir (prefs.hex_dcc_completed_dir, 0700);
 
diff --git a/src/common/hexchat.c b/src/common/hexchat.c
index 72b97e3a1..b04c26755 100644
--- a/src/common/hexchat.c
+++ b/src/common/hexchat.c
@@ -1053,6 +1053,7 @@ main (int argc, char *argv[])
 #if ! GLIB_CHECK_VERSION (2, 36, 0)
 	g_type_init ();
 #endif
+
 	load_config ();
 
 #ifdef WIN32
@@ -1244,6 +1245,15 @@ main (int argc, char *argv[])
 
 	fe_init ();
 
+#ifndef WIN32
+#ifndef __EMX__
+	/* OS/2 uses UID 0 all the time */
+	if (getuid () == 0)
+		fe_message (_("* Running IRC as root is stupid! You should\n"
+			      "  create a User Account and use that to login.\n"), FE_MSG_WARN|FE_MSG_WAIT);
+#endif
+#endif /* !WIN32 */
+
 	xchat_init ();
 
 	fe_main ();
